#ifndef COMMODITYSETTINGS_H
#define COMMODITYSETTINGS_H

#include <QObject>
#include <QSharedPointer>

class CommoditySettings : public QObject
{
    Q_OBJECT
    Q_PROPERTY(bool codeAsNumber READ codeAsNumber WRITE setCodeAsNumber)

public:
    explicit CommoditySettings(QObject *parent = 0);

    bool codeAsNumber() const;
    void setCodeAsNumber(bool codeAsNumber);

private:
    bool m_codeAsNumber;
};

typedef QSharedPointer<CommoditySettings> CommoditySettingsPtr;

#endif // COMMODITYSETTINGS_H
